Actions / Video Studio
Read video script
Read onlyread_video_script
A Video Studio edit's script as numbered words, in runs that play or are cut, with times. find looks up a phrase; as srt returns the captions as an SRT file. Long scripts come in pages (fromWord).
Needs the read scope. Looks things up. Changes nothing.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
editId | integer | Yes | |
fromWord | integer | ||
maxWords | integer | ||
find | string | A phrase to look for, such as "so anyway" | |
as | "words" | "srt" |
REST
curl https://chirpy.me/api/v1/read_video_script \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"editId":123}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "read_video_script",
"arguments": {
"editId": 123
}
}
}MCP hints: readOnlyHint: true, destructiveHint: false, idempotentHint: true, openWorldHint: false.
